{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">
                    {{ macros_page.render_breadcrumbs(item) }}

                    <h2>{{ vial_current_view.get_view_title() }}</h2>
                    <hr>
                    <h3>{{ item.netname }}</h3>
                    <div class="pull-right">
                        {{ macros_page.render_menu_actions(item) }}

                    </div>
                    <p>
                        <small>
                            <strong>{{ _('Network created') }}:</strong> {{ babel_format_datetime(item.createtime) }} ({{ _('%(delta)s ago', delta = babel_format_timedelta(current_datetime_utc - item.createtime)) }})
                        </small>
                    </p>
                    <br>

                    <!-- Nav tabs -->
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active">
                            <a href="#tab-general" aria-controls="tab-general" role="tab" data-toggle="tab">
                                <strong>{{ get_icon('alert-info') }} {{ _('General information') }}</strong>
                            </a>
                        </li>
                        {%- if can_access_endpoint('networks.update', item) %}
                        <li role="presentation">
                            <a href="#tab-changelog" aria-controls="tab-changelog" role="tab" data-toggle="tab">
                                <strong>{{ get_icon('module-changelogs') }} {{ _('Changelogs') }}</strong> <span class="badge">{{ item_changelog | length }}</span>
                            </a>
                        </li>
                        {%- endif %}
                    </ul>

                    <!-- Tab panes -->
                    <div class="tab-content">

                        <div role="tabpanel" class="tab-pane fade in active" id="tab-general">
                            <br>
                            <table class="table table-striped">
                                <tbody>
                                    <tr>
                                        <th>
                                            {{ _('Group') }}:
                                        </th>
                                        <td>
                                            <a data-toggle="tooltip" href="{{ url_for('groups.show', item_id = item.group.id ) }}" title="{{ _('View details of group &quot;%(item)s&quot;', item = item.group.name) }}">
                                                {{ item.group.name }}
                                            </a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Netname') }}:
                                        </th>
                                        <td>
                                            {{ item.netname | default(_('<< unknown >>'), True) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Source') }}:
                                        </th>
                                        <td>
                                            {{ item.source | default(_('<< unknown >>'), True) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Description') }}:
                                        </th>
                                        <td>
                                            {{ item.description | default(_('<< unknown >>'), True) }}
                                        </td>
                                    </tr>
                                    <tr>
                                        <th>
                                            {{ _('Network') }}:
                                        </th>
                                        <td>
                                            {{ macros_site.render_widget_csag_address([item.network], separate_dropdown = True) }}
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>

                        {%- if can_access_endpoint('networks.update', item) %}
                        <div role="tabpanel" class="tab-pane fade" id="tab-changelog">
                            <br>
                            {%- if item_changelog %}
                            {{ macros_page.render_changelog_records(item_changelog, context_action_menu_changelogs) }}
                            <p>
                                <small>
                                    {{ _('Displaying only latest %(count)s changelogs', count = 100) }}
                                </small>
                            </p>
                            {%- else %}
                            {%- call macros_site.render_alert('info', False) %}
                            {{ _('This object does not have any changelog records at the moment.') }}
                            {%- endcall %}
                            {%- endif %}
                        </div>
                        {%- endif %}

                    </div>

                </div><!-- /.col-lg-12 -->
            </div><!-- /.row -->

    {%- if permission_can('developer') %}

            <hr>

            {{ macros_site.render_raw_item_view(item) }}

    {%- endif %}

{%- endblock content %}
